## org.codehaus.groovy.grails.web.pages
Class GroovyPageTemplate

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageTemplate

All Implemented Interfaces:
  groovy.text.Template

    public class GroovyPageTemplate

extends Object
implements groovy.text.Template

An instance of the groovy.text.Template interface that knows how to make in instance of GroovyPageWritable

Since:
  0.5

  Created: Feb 23, 2007 Time: 11:36:26 AM
Author:
  Graeme Rocher

Constructor Summary
`GroovyPageTemplate(GroovyPageMetaInfo metaInfo)`

Method Summary
`groovy.lang.Writable` `make()`
`groovy.lang.Writable` `make(Map binding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageTemplate

    public GroovyPageTemplate(GroovyPageMetaInfo metaInfo)

Method Detail

### make

    public groovy.lang.Writable make()

  Specified by:
    `make` in interface `groovy.text.Template`

### make

    public groovy.lang.Writable make(Map binding)

  Specified by:
    `make` in interface `groovy.text.Template`

Copyright (c) 2005-2009 The Grails project